org.opencv.features2d

## Class BFMatcher

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.DescriptorMatcher
    - - org.opencv.features2d.BFMatcher

-     public class BFMatcher
      extends DescriptorMatcher

- - ### Field Summary

    - ### Fields inherited from class org.opencv.features2d.DescriptorMatcher

      `BRUTEFORCE, BRUTEFORCE_HAMMING, BRUTEFORCE_HAMMINGLUT, BRUTEFORCE_L1, BRUTEFORCE_SL2, FLANNBASED`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BFMatcher()`
    `` | `BFMatcher(int normType)`
    `` | `BFMatcher(int normType, boolean crossCheck)`
    `protected` | `BFMatcher(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BFMatcher` | `__fromPtr__(long addr)`
    `static BFMatcher` | `create()`
    `static BFMatcher` | `create(int normType)`
    `static BFMatcher` | `create(int normType, boolean crossCheck)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.features2d.DescriptorMatcher

      `add, clear, clone, clone, create, empty, getTrainDescriptors, isMaskSupported, knnMatch, knnMatch, knnMatch, knnMatch, knnMatch, knnMatch, match, match, match, match, radiusMatch, radiusMatch, radiusMatch, radiusMatch, radiusMatch, radiusMatch, read, train, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BFMatcher

          protected BFMatcher(long addr)

    - #### BFMatcher

          public BFMatcher(int normType,
                           boolean crossCheck)

    - #### BFMatcher

          public BFMatcher(int normType)

    - #### BFMatcher

          public BFMatcher()

  - ### Method Detail

    - #### __fromPtr__

          public static BFMatcher __fromPtr__(long addr)

    - #### create

          public static BFMatcher create(int normType,
                                         boolean crossCheck)

    - #### create

          public static BFMatcher create(int normType)

    - #### create

          public static BFMatcher create()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DescriptorMatcher`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3